RPM2CPIO(1)

NOM
rpm2cpio – Obtention d’une archive cpio à partir d’un paquet RPM (RPM Package Manager)

SYNOPSIS
rpm2cpio FICHIER_PAQUET

rpm2cpio -

DESCRIPTION
rpm2cpio transforme le paquet rpm indiqué en une archive cpio(1) sur la sortie standard.

Remarque : le format cpio(5) ne peut héberger des fichiers individuels au-delà d’une taille de 4 Go et, par conséquent, cet outil est considéré comme obsolète. rpm2archive(1) est à utiliser à la place.

ARGUMENTS
FICHIER_PAQUET
    Paquet RPM binaire ou source.

Si un tiret (-) est fourni comme argument, les données sont lues sur l’entrée standard.

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES
rpm2cpio glint-1.0-1.i386.rpm | cpio -dium
    Extraction du contenu de glint-1.0-1.i386.rpm relativement au répertoire actuel.

cat glint-1.0-1.i386.rpm | rpm2cpio - | cpio -tv
    Affichage de la liste des fichiers de glint-1.0-1.i386.rpm avec cpio(1).

VOIR AUSSI
cpio(1), rpm(8), rpm2archive(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.